Comment 25 for bug 543836

pauls (paulatgm) wrote :

There is a backports package called linux-backports-modules-wireless-lucid-generic and the rt2870sta driver in it will connect to wpa2-psk encrypted networks. So you can install that backport package to get a fix. I still think it's necessary to manually add the /etc/modprobe.d/blacklist.conf change to blacklist rt2800usb as well as create the /etc/Wireless/RT2870STA/RT2870STA.dat file with the word Default in it.

On my system this works.

By the way, that backports package also contains an update rt2800usb module. I tried using it and it still will not connect to my wpa2-psk network.

However, this package should get updated as new changes are made to the wireless stack, so using it will give us a shot.